﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ListCheckBox2 {
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window {
        public MainWindow() {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e) {
            setGUI();
        }

        private void setGUI() {
            for (int i = 0; i < 100; i++) {
                ListBoxItem li = new ListBoxItem();
                CheckBox chk = new CheckBox();
                chk.Content = (i + 1) + ". Kontrollfeld";
                chk.Click += new RoutedEventHandler(chk_Click);
                li.Content = chk;
                listBox1.Items.Add(li);
            }
            labelAuswahl.Content = "Auswahl (0 Elemente ausgewählt)";
        }

        private void chk_Click(object sender, RoutedEventArgs e) {
            int summe = 0;
            listBox2.Items.Clear();
            foreach (ListBoxItem item in listBox1.Items) {
                CheckBox chkb = (CheckBox)item.Content;
                if (chkb.IsChecked == true) {
                    summe++;
                    listBox2.Items.Add(chkb.Content);
                }
            }
            labelAuswahl.Content = "Auswahl (" + summe
                + " Elemente ausgewählt)";
        }
        private void bnOk_Click(object sender, RoutedEventArgs e) {
            foreach (ListBoxItem item in listBox1.Items) {
                CheckBox chkb = (CheckBox)item.Content;
                if (chkb.IsChecked == true) {
                    MessageBox.Show(chkb.Content.ToString());
                }
            }

        }


       
    }
}
